Subject: Re: [PATCH 2/2] add-patch: quit on EOF

From: René Scharfe <[email-masked]>
Date: Sat, 25 Oct 2025 19:23:26 +0200

On 10/25/25 6:20 PM, Junio C Hamano wrote:
> 
> I wonder if we want to 'echo" something in this case, though.  If I
> say 'q', whether interactive.singlekey is active or not, I see
> 
>     (1/1) Stage this hunk [y,n,q,a,d,s,e,p,P,?]? q
> 
> on the last line before getting the shell prompt back.  With this
> change, I won't see anything after the prompt.  Perhaps it is OK?  I
> dunno.  Perhaps we want to pretend as if 'q' were given instead of
> EOF, like the following?  I dunno.
I'm used to no feedback when writing to a file using cat and finishing
with ctrl-D to signal end-of-file.  So I don't need a q "echoed", and
would actually be slightly surprised.  But that's just me.

René